var lWarn = {logln:function (o){}}; 
var lInfo = {logln:function (o){}};

var LOGFILE_NAME = "led-wizard.log";
lWarn = new Logger(LOGFILE_NAME);
lInfo = new Logger(LOGFILE_NAME);


if (raisedEvent.parameter.actions!=null) {
	if (raisedEvent.parameter.actions=='programmCurve') {
		Property.load();
		new Event('led-wizard.prog',{actions:'programmCurveStartQueue',retry:true}).raise();		
	}
	if (raisedEvent.parameter.actions=='loadProperty') {
		Property.load();
		var illuminants=[];
		var oArray=Property.getNode('myData').getChildren();
		for (var iIndex=0;iIndex<oArray.length;iIndex++) {
			if (oArray[iIndex].getChild('id')!=null)
				illuminants.push(oArray[iIndex].getChild('id').getValue());
		}
		Property.setProperty('/scripts/led-wizard/references/' + raisedEvent.parameter.supplierID,JSON.stringify(illuminants));
	}
} else {
	lInfo.logln('start query');
	Property.load();
	if (raisedEvent.parameter.illuminantID!=null) {
		var iIlluminant=raisedEvent.parameter.illuminantID;
		
		var curvesData=Property.getProperty('myData/illuminant'+iIlluminant+'/curves');
		if (curvesData==null) {
			lInfo.logln('curve is null');
			new Event('led-wizard.answer',{'type':'curves','illumant':iIlluminant,'data':'[]'}).raise();
		} else {
			lInfo.logln('curve is '+curvesData);
			new Event('led-wizard.answer',{'type':'curves','illumant':iIlluminant,'data':curvesData}).raise();
		}
	}
}